local LibPetJournal = LibStub("LibPetJournal-2.0")
---
local function myhook (tooltip, unitid)
	if UnitIsBattlePetCompanion("mouseover") then
		local ttcreatureID = tonumber(UnitGUID("mouseover"):sub(6,10),16)
		local ttdescription = "\n"
		for i,petid in LibPetJournal:IteratePetIDs() do 
			local speciesID, customName, level, xp, maxXp, displayID, name, icon, petType, creatureID, sourceText, description, isWild, canBattle, tradable, unique = C_PetJournal.GetPetInfoByPetID(petid)
			if ttcreatureID == 21076 then
				ttdescription = "Still flying..."
				break
			elseif
				creatureID == ttcreatureID then
				ttdescription = description
				break
			end
		end
		if ttdescription ~= "\n" then
			tooltip:AddLine(("\"%s\""):format(ttdescription),1,0.8352941176470588,0.0901960784313725,1,1)
			tooltip:Show()
		end
	end
end
---
if GameTooltip:GetScript("OnTooltipSetUnit") then
GameTooltip:HookScript("OnTooltipSetUnit", myhook)
else
GameTooltip:SetScript("OnTooltipSetUnit", myhook)
end


